/*
 * Class BILINEAR [INTEGER_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1956 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1956 [] = {0xFF01,1551,1955,878,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1956 [] = {0xFF01,1955,878,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1956 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1956 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1956 [] = {0xFF01,1955,878,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1956 [] = {0xFF01,1955,878,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1956 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1956 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1956 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1956 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1956 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1956 [] = {1955,878,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1956 [] = {0xFF01,1955,878,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1956 [] = {0xFF01,1938,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1956 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1956 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1956 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1956[] = {
	{EIF_GENERIC(NULL), 8975, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1956), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1956), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1956), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1956), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1956), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1956), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1956), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1956), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1956), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1956), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1956), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1956), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1956), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1956), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8878, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8648, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8649, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8650, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8651, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8652, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1956), 8889, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1956), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8879, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8974, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8881, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1956), 8882, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8883, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1956), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8973, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8885, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8886, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8887, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8888, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8880, 0xFFFFFFFF},
};
void Init1956(void)
{
	IDSC(desc_1956, 0, 1955);
	IDSC(desc_1956 + 1, 1, 1955);
	IDSC(desc_1956 + 32, 1134, 1955);
	IDSC(desc_1956 + 41, 1444, 1955);
	IDSC(desc_1956 + 50, 1534, 1955);
	IDSC(desc_1956 + 57, 1245, 1955);
}


#ifdef __cplusplus
}
#endif
